--- title: "Get inspection category status" slug: "management-cloud-advisor-status-categories" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-status-categories" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get inspection category status Available in VPC Get whether inspection requests can be made for all inspection items in an inspection category. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/categories/{categoryCode}/checkitems/status | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Required | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloud-advisor.apigw.ntruss.com/api/v1 /categories/{categoryCode}/checkitems/status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | Array | - | Inspection item list: [content](/docs/en/management-cloud-advisor-status-categories#content) | #### `contents` The following describes `contents`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `itemCode` | String | - | Inspection item code | | `timeToRefresh` | Long | - | Next available inspection date and time - Unix timestamp format | | `lastRequestTime` | Long | - | Last inspection date and time - Unix timestamp format | | `status` | String | - | Inspection status - `NONE` \| `ENQUEUED` \| `PROCESSING` \| `DONE` \| `FAIL` - `NONE`: inspection request available - `ENQUEUED`: inspection pending - `PROCESSING`: inspection in progress - `DONE`: inspection request completed. Need to wait for the next request. - `FAIL`: inspection requested failed | | `refreshable` | String | - | Inspection request availability - `true` \| `false` - `true`: available - `false`: unavailable | ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": [ { "itemCode": "CLOVA_OCR_UNUSED_RESOURCES", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "CLOVA_DUBBING_UNUSED_RESOURCES", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "IDLE_RESOURCE_VM", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "IDLE_RESOURCE_LB", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "HIGH_UTILIZATION_VM", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "HIGH_UTILIZATION_MYSQL", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "HIGH_UTILIZATION_REDIS", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "HIGH_UTILIZATION_MSSQL", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "HIGH_UTILIZATION_MONGO", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true }, { "itemCode": "OBJECT_STORAGE_MULTIPART", "timeToRefresh": 0, "lastRequestTime": 0, "status": "NONE", "refreshable": true } ] } ```